﻿using System.Windows;
using ThinkGeo.Core;

namespace ShowBaseMap
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Map_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.Meter;

            OpenStreetMapOverlay baseOverlay = new OpenStreetMapOverlay(@"E:\worldstreets-11-11-2021.mbtiles");
            wpfMap1.CurrentExtent = new RectangleShape(-200000000, 200000000, 200000000, -200000000);
            wpfMap1.Overlays.Add(baseOverlay);


            for (int index = 0; index < 10; index++)
            {
                var layer = new InMemoryFeatureLayer();
                var overlay = new LayerOverlay();
                overlay.Layers.Add(layer);
                wpfMap1.Overlays.Add(overlay);
            }

            wpfMap1.Refresh();
        }
    }
}
